mlpack_preprocess_describe(1)

NAME
mlpack_preprocess_describe - descriptive statistics

SYNOPSIS
 mlpack_preprocess_describe -i string [-d int] [-P bool] [-p int] [-r bool] [-V bool] [-w int] [-h -v]

DESCRIPTION
This utility takes a dataset and prints out the descriptive statistics of the data. Descriptive statistics is the discipline of quantitatively describing the main features of a collection of information, or the quantitative description itself. The program does not modify the original file, but instead prints out the statistics to the console. The printed result will look like a table.

Optionally, width and precision of the output can be adjusted by a user using the '--width (-w)' and '--precision (-p)' parameters. A user can also select a specific dimension to analyze if there are too many dimensions. The ’--population (-P)' parameter can be specified when the dataset should be considered as a population. Otherwise, the dataset will be considered as a sample.

So, a simple example where we want to print out statistical facts about the dataset 'X.csv' using the default settings, we could run

$ mlpack_preprocess_describe --input_file X.csv --verbose

If we want to customize the width to 10 and precision to 5 and consider the dataset as a population, we could run

$ mlpack_preprocess_describe --input_file X.csv --width 10 --precision 5 --verbose

REQUIRED INPUT OPTIONS

--input_file (-i) [string]
    Matrix containing data,

OPTIONAL INPUT OPTIONS

--dimension (-d) [int]
    Dimension of the data. Use this to specify a dimension Default value 0.

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--population (-P) [bool]
    If specified, the program will calculate statistics assuming the dataset is the population. By default, the program will assume the dataset as a sample.

--precision (-p) [int]
    Precision of the output statistics. Default value 4.

--row_major (-r) [bool]
    If specified, the program will calculate statistics across rows, not across columns. (Remember that in mlpack, a column represents a point, so this option is generally not necessary.)

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

--width (-w) [int]
    Width of the output table. Default value 8.nnADDITIONAL INFORMATIONNN FOR FURTHER INFORMATION, INCLUDING RELEVANT PAPERS, CITATIONS, AND THEORY, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.